[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TIndexDef.Expression

Expression that makes up the index values

## Declaration

Source position: db.pas line 989

`public property TIndexDef.Expression: String read GetExpression write SetExpression;`

## Description

Expression is an SQL expression based on which the index values are computed. It is only used when ixExpression is in TIndexDef.Options

## See also

TIndexDef.Options |  | Index options
TindexDef.Fields |  | Fields making up the index

The latest version of this document can be found at lazarus-ccr.sourceforge.net.